      subroutine setprob
      implicit double precision (a-h,o-z)
      character*12 fname
      logical treset
      double precision npoly, nstar
      common /ceos/ grav, gamma, gamma1, sK, npoly, nstar, Crho, ieos
      common /comxt/ treset
c
      treset = .false.  !# used in b4step1 to flag whether t has been reset

c     # File for printing out t,xs from b4step1:
      open(unit=28,file='fort.xsb4reset',status='unknown',
     &     form='formatted')
      open(unit=29,file='fort.xs',status='unknown',form='formatted')

c     # File for printing out t when reset to zero from b4step1:
      open(unit=26,file='fort.treset',status='unknown',form='formatted')

      iunit = 7
      fname = 'setprob.data'
c     # open the unit with new routine from Clawpack 4.4 to skip over
c     # comment lines starting with #:
      call opendatafile(iunit, fname)

      read(7,*) ieos
      read(7,*) npoly
      read(7,*) nstar
      read(7,*) grav
      read(7,*) sK

      if (ieos.eq.3) then
         write(6,*) 'Euler is now ieos=1'
	 ieos = 1
	 endif

      gamma = 1.d0 + 1.d0/npoly
      Crho = (grav / ((nstar+1.d0)*sK))**nstar
      gamma1 = gamma - 1.d0

c
      return
      end
